%% ----------------------------------------
%% desc:物品转换头文件
%%
%% ----------------------------------------

%% 转换时间在24小时又10秒内则设置定时器
-define(INTERVAL_TIME, (24 * 60 * 60 + 10) * 1000).

-record(goods_convert, {
    goods_id = 0                %% 物品类型ID
    , min_num = 0               %% 原物品数量
    , goods_convert = 0         %% 转换后物品ID
    , get_num = 0               %% 兑换物数量
    , convert_time = 0          %% 转换时间
}).

%% 进程状态，用于记录下个物品转换时间
-record(convert_state, {
    next_time = 0               %% 下一次需要转换物品的时间
    , ref = undefined           %% 物品转换定时器
}).


% ------------------------- SQL -------------------------
-define(SELECT_GOODS_INFO_BY_ID, <<"select role_id, num from goods where goods_id = ~p">>).
-define(DELETE_ALL_GOODS_BY_ID, <<"delete  from goods where goods_id = ~p">>).